Bug 5610 - Not clear how to get FP operations to use SSE
Summary: Not clear how to get FP operations to use SSE
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 3.1
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-02-06 06:26 UTC by tom
Modified: 2003-07-25 17:33 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tom 2002-02-06 06:26:00 UTC
The option "-msse-math" appears in doc/invoke.texi (line 484, in the list of i386 and x86-64 options), but the compiler does not recognise it.

This option is now spelt "-mfpmath=sse".

I think SSE2 should be mentioned explicitly as an instruction-set extension in line 7766 (along with MMX, SSE and 3dNow), and (though -mfp-math=sse does reference -msse2) that the documentation for -msse should include a line like "to have SSE/SSE2 instructions generated automatically from floating-point code, see @option{-mfpmath=sse}". Also, -msse2 should be added to the @opindex entries around that line.

Release:
3.1 20020204
Comment 1 Jan Hubicka 2002-10-10 10:54:17 UTC
State-Changed-From-To: open->closed
State-Changed-Why: Updated for 3.2.1 and 3.3
Comment 2 Jan Hubicka 2002-10-10 17:38:35 UTC
From: hubicka@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: target/5610
Date: 10 Oct 2002 17:38:35 -0000

 CVSROOT:	/cvs/gcc
 Module name:	egcs
 Changes by:	hubicka@gcc.gnu.org	2002-10-10 10:38:35
 
 Modified files:
 	gcc            : ChangeLog 
 	gcc/doc        : invoke.texi 
 
 Log message:
 	PR target/5610
 	* invoke.texi (-msse-math): Kill
 	(-msse): Add note to mfpmath=sse.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/egcs/gcc/ChangeLog.diff?cvsroot=gcc&r1=1.15671&r2=1.15672
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/egcs/gcc/doc/invoke.texi.diff?cvsroot=gcc&r1=1.194&r2=1.195
 
Comment 3 Jan Hubicka 2002-10-10 17:48:51 UTC
From: hubicka@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: target/5610
Date: 10 Oct 2002 17:48:51 -0000

 CVSROOT:	/cvs/gcc
 Module name:	egcs
 Branch: 	gcc-3_2-branch
 Changes by:	hubicka@gcc.gnu.org	2002-10-10 10:48:51
 
 Modified files:
 	gcc            : ChangeLog 
 	gcc/doc        : invoke.texi 
 
 Log message:
 	PR target/5610
 	* invoke.texi (-msse-math): Kill
 	(-msse): Add note to mfpmath=sse.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/egcs/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.13152.2.657.2.83&r2=1.13152.2.657.2.84
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/egcs/gcc/doc/invoke.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.119.2.12.4.5&r2=1.119.2.12.4.6